Bug 226230 - Merge Review: parted
Merge Review: parted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:20 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-29 10:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:20:36 EST
Fedora Merge Review: parted

http://cvs.fedora.redhat.com/viewcvs/devel/parted/
Initial Owner: dcantrell@redhat.com
Comment 1 manuel wolfshant 2007-04-13 20:58:02 EDT
 Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated
=== REQUIRED ITEMS ===
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [!] Rpmlint output:
#rpmlint parted-1.8.6-4.src.rpm
W: parted no-url-tag
 rpmlint ~/reports/parted/parted-1.8.6-4.fc7.x86_64.rpm
W: parted no-url-tag
--> an URL tag should be provided
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must matches the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal
 section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPL
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing
the text of the license(s) for the package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM : eef9d788f13f4ed461f97051eb0543ffd40830b7  parted-1.8.6.tar.bz2
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [-] Package is not known to require ExcludeArch, OR:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Pack
aging Guidelines.
 [!] Duplicate BR: automake (by libtool), libsepol-devel (by libselinux-devel)
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [!] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
[x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [!] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [-] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:Devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel/x86_64, devel/i386
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files are correct.
 [x] File based requires are sane.
 [x] Latest version is packaged.

=== Issues ===
1. Summary ends with dot. As far as I remember (rpmlint does not say anything,
and it is latest version) it was preffered to not end sumaries with dot. Not a
big deal.
2. parted-devel should require pkconfig. MUSTFIX
3. there is a texinfo file (doc/parted-pt_BR) which might be shipped but is not.
4. %files has a duplicate line: %{_libdir}/libparted-*.so.* is included twice.
MUSTFIX

Comment 2 manuel wolfshant 2007-04-13 21:00:47 EDT
Sorry, should have been
 [x] Package does not own files or directories owned by other packages.
Comment 3 David Cantrell 2007-04-19 14:52:40 EDT
(In reply to comment #1)
>  [!] Rpmlint output:
> #rpmlint parted-1.8.6-4.src.rpm
> W: parted no-url-tag
>  rpmlint ~/reports/parted/parted-1.8.6-4.fc7.x86_64.rpm
> W: parted no-url-tag
> --> an URL tag should be provided

Fixed.

>  [!] Duplicate BR: automake (by libtool), libsepol-devel (by libselinux-devel)

Fixed.

>  [!] Package does not contain duplicates in %files.

Fixed.

>  [!] Package requires pkgconfig, if .pc files are present.

Fixed.

> 1. Summary ends with dot. As far as I remember (rpmlint does not say anything,
> and it is latest version) it was preffered to not end sumaries with dot. Not a
> big deal.

Fixed.

> 2. parted-devel should require pkconfig. MUSTFIX

Fixed.

> 3. there is a texinfo file (doc/parted-pt_BR) which might be shipped but is not.

Don't think this file is correct anymore, so that's why it isn't installed. 
Will check on that.

> 4. %files has a duplicate line: %{_libdir}/libparted-*.so.* is included twice.
> MUSTFIX

Fixed.
Comment 4 manuel wolfshant 2007-04-19 16:42:38 EDT
All problems seem fixed in release 5, package APPROVED.
Comment 5 manuel wolfshant 2007-05-28 20:18:03 EDT
David, could you please close this ticket when you can spare 30 secs?

Note You need to log in before you can comment on or make changes to this bug.